Skip to main content
GET
/
v1
/
legal_holds
/
{legal_hold_id}
/
spaces
/
{space_id}
/
pages
List pages on a legal hold
curl --request GET \
  --url https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}/spaces/{space_id}/pages \
  --header 'Authorization: Bearer <token>' \
  --header 'Notion-Version: <notion-version>'
import requests

url = "https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}/spaces/{space_id}/pages"

headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Notion-Version': '<notion-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.notion.com/admin/v1/legal_holds/{legal_hold_id}/spaces/{space_id}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page_ids": [
    "<string>"
  ],
  "next_cursor": "<string>"
}
{
"type": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}
{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Forbidden."
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "Not found."
}
{
"type": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}
{
"type": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}
The organization bot token must have the following scopes:
  • legal-hold:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Path Parameters

space_id
string<uuid>
required

Query Parameters

start_cursor
string

Response

page_ids
string[]
required
next_cursor
string